### Method

# Xdp Settings read_all_values

#### Declaration [src]

    GVariant*
    xdp_settings_read_all_values (
      XdpSettings* settings,
      const char* const* namespaces,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Read all the setting values within `namespace`.

#### Parameters

`namespaces`

  Type: `const char* const*`

  List of namespaces to filter results by, supports simple globbing explained below.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A GCancellable or NULL.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GVariant`

A value containing all the values, or `NULL` if not found. If `error` is not NULL, then the error is returned.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.